org.apache.myfaces.trinidad.model

## Enum LocalRowKeyIndex.LocalCachingStrategy

- java.lang.Object
- - java.lang.Enum<LocalRowKeyIndex.LocalCachingStrategy>
  - - org.apache.myfaces.trinidad.model.LocalRowKeyIndex.LocalCachingStrategy

- All Implemented Interfaces:
    Serializable, Comparable<LocalRowKeyIndex.LocalCachingStrategy>
  Enclosing interface:
    LocalRowKeyIndex

      public static enum LocalRowKeyIndex.LocalCachingStrategy
      extends Enum<LocalRowKeyIndex.LocalCachingStrategy>

  Enum used to indicate the type of caching supported by the model
  See Also:
    `LocalRowKeyIndex.getCachingStrategy()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Caches all rows
    `NONE` Caching is not supported
    `PARTIAL` Supports caching certain ranges of rows

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalRowKeyIndex.LocalCachingStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LocalRowKeyIndex.LocalCachingStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final LocalRowKeyIndex.LocalCachingStrategy NONE

      Caching is not supported

    - #### PARTIAL

          public static final LocalRowKeyIndex.LocalCachingStrategy PARTIAL

      Supports caching certain ranges of rows

    - #### ALL

          public static final LocalRowKeyIndex.LocalCachingStrategy ALL

      Caches all rows

  - ### Method Detail

    - #### values

          public static LocalRowKeyIndex.LocalCachingStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocalRowKeyIndex.LocalCachingStrategy c : LocalRowKeyIndex.LocalCachingStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocalRowKeyIndex.LocalCachingStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.